List Spotify Curators
List curators by platform. Sort columns vary by platform: spotify — num_playlists (default), followers, num_updates, num_tracks_updated, fdiff_month, fdiff_percent_month, sp_playlist_total_reach; applemusic/itunes — num_playlists (default); deezer — num_playlists, total_reach (default); youtube — total_playlist_views (default), num_playlists, channel_views, channel_subscribers; amazon — total_playlists (default).
- Type: integeroffsetmin:0max:10000
Number of items to skip from the start of the result set; pair with
limitto paginate.offset + limitmust be ≤ 10,000 (Elasticsearch window). - Type: integerlimitmin:1max:0
Maximum number of curators to return per request. Defaults to 50; max 10000.
offset + limitmust be ≤ 10,000. - Type: string enumsort
Column Column to sort curators by. Allowed values vary per platform; see the endpoint description for the list. Default also varies per platform.
values- num
_playlists - followers
- num
_updates - num
_tracks _updated - fdiff
_month - fdiff
_percent _month - sp
_playlist _total _reach
- Type: booleansort
Order Desc If true, sort
sortColumnin descending order. Defaults to true. - Type: array integer[] unique!user
List Ids[] Filter by Chartmetric shortlist (user list) IDs the curator is included on. Public API exposes this as
shortlistIds. - Type: stringname
Search Substring match against curator name.
- Type: stringplaylist
Keyword Search Substring match against names of playlists owned by the curator.
- Type: booleanwith
Social Urls If true, return only curators that have social URL data on file (URLs themselves are not included in the response). Applies to
spotifyonly. - Type: booleaneditorial
If true, return only official platform editorial curators. If false, exclude them. Applies to
spotify,applemusic,amazon, andyoutube. - Type: booleanmajor
Label If true, return only major-label curators (Sony, Universal, Warner). If false, exclude them. Applies to
spotifyandyoutube. - Type: booleanbrand
If true, return only curators associated with a brand. If false, exclude them. Applies to
spotifyandyoutube. - Type: booleanpopular
Indie If true, return only popular indie curators (not editorial/brand/major-label, with 100K+ reached followers). If false, exclude them. Applies to
spotifyandyoutube. - Type: booleanindie
If true, include curators that are not major-label, editorial, brand, or popular indie. If false, exclude them. Applies to
spotify,applemusic, andyoutube. - Type: booleanaudiobook
If true, return only audiobook curators. If false, exclude them. Applies to
spotifyandyoutube.
- application/json
curl https://api.chartmetric.com/api/curator/spotify/lists \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"obj": [
{
"position": 1,
"user_id": "spotify",
"owner_id": 2,
"owner_name": "Spotify",
"url": "https://i.scdn.co/image/ab6775700000ee8555c25988a6ac314394d3fbf5",
"num_playlists": 138039,
"sp_playlist_total_reach": 2793372862,
"followers": 11213310,
"fdiff_month": 113368,
"fdiff_percent_month": 0.013958,
"tags": [
"pop",
"hip-hop/rap",
"rock"
],
"num_updates": 0,
"num_tracks_updated": 0,
"editorial": true,
"major_label": false,
"brand": false,
"popular_indie": false,
"indie": false,
"audiobook": true
}
],
"offset": 0,
"total": 2712006
}